<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />

    <!-- Bootstrap CSS -->
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
      integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
      crossorigin="anonymous"
    />
    <!-- font -->
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700;900&display=swap"
      rel="stylesheet"
    />
    <!-- reset css -->
    <link rel="stylesheet" href="./assets/css/_reset.css" />
    <!-- style.css -->
    <link rel="stylesheet" href="./assets/css/style.css" />
  </head>
  <body>
    <div class="container py-5">
      <div class="card w-75 mx-auto">
        <div class="card-body p-0">
          <div class="row">
            <div
              class="col-12 col-md-4 col-lg-3 col-xl-2 nav flex-column nav-tabs nav-pills nav-bai-tap"
              id="v-pills-tab"
              role="tablist"
              aria-orientation="vertical"
            >
              <a
                class="nav-link mb-2 active"
                id="v-pills-bai-1-tab"
                data-toggle="pill"
                href="#v-pills-bai-1"
                role="tab"
                aria-controls="v-pills-bai-1"
                aria-selected="true"
                >Bài 1</a
              >
              <a
                class="nav-link mb-2"
                id="v-pills-bai-2-tab"
                data-toggle="pill"
                href="#v-pills-bai-2"
                role="tab"
                aria-controls="v-pills-bai-2"
                aria-selected="false"
                >Bài 2</a
              >
              <a
                class="nav-link mb-2"
                id="v-pills-bai-3-tab"
                data-toggle="pill"
                href="#v-pills-bai-3"
                role="tab"
                aria-controls="v-pills-bai-3"
                aria-selected="false"
                >Bài 3</a
              >
              <a
                class="nav-link mb-2"
                id="v-pills-bai-4-tab"
                data-toggle="pill"
                href="#v-pills-bai-4"
                role="tab"
                aria-controls="v-pills-bai-4"
                aria-selected="false"
                >Bài 4</a
              >
              <a
                class="nav-link mb-2"
                id="v-pills-bai-5-tab"
                data-toggle="pill"
                href="#v-pills-bai-5"
                role="tab"
                aria-controls="v-pills-bai-5"
                aria-selected="false"
                >Bài 5</a
              >
              <a
                class="nav-link mb-2"
                id="v-pills-bai-6-tab"
                data-toggle="pill"
                href="#v-pills-bai-6"
                role="tab"
                aria-controls="v-pills-bai-6"
                aria-selected="false"
                >Bài 6</a
              >
              <a
                class="nav-link mb-2"
                id="v-pills-bai-7-tab"
                data-toggle="pill"
                href="#v-pills-bai-7"
                role="tab"
                aria-controls="v-pills-bai-7"
                aria-selected="false"
                >Bài 7</a
              >
              <a
                class="nav-link mb-2"
                id="v-pills-bai-8-tab"
                data-toggle="pill"
                href="#v-pills-bai-8"
                role="tab"
                aria-controls="v-pills-bai-8"
                aria-selected="false"
                >Bài 8</a
              >
              <a
                class="nav-link mb-2"
                id="v-pills-bai-9-tab"
                data-toggle="pill"
                href="#v-pills-bai-9"
                role="tab"
                aria-controls="v-pills-bai-9"
                aria-selected="false"
                >Bài 9</a
              >
              <a
                class="nav-link mb-2"
                id="v-pills-bai-10-tab"
                data-toggle="pill"
                href="#v-pills-bai-10"
                role="tab"
                aria-controls="v-pills-bai-10"
                aria-selected="false"
                >Bài 10</a
              >
            </div>
            <div
              class="col-12 col-md-8 col-lg-9 col-xl-10 tab-content"
              id="v-pills-tabContent"
            >
              <div
                class="tab-pane fade show active bai-tap-1"
                id="v-pills-bai-1"
                role="tabpanel"
                aria-labelledby="v-pills-bai-1-tab"
              >
                <h5 class="card-title">1️⃣  In một bảng số từ 1-100 thỏa mãn điều kiện:</h5>
                <div class="info-box">
                  <p>
                    <b> 💡 Gợi ý:</b>
                    <span>Dùng 2 vòng for lồng nhau, để ý chỗ bước nhảy</span>
                  </p>
                  <details>
                    <summary>Mở rộng để xem thêm</summary>
                    <div class="px-3">
                      <ul>
                        <li>
                          Bảng số gồm 10 hàng và 10 cột
                        </li>
                        <li>
                          Các giá trị trong hàng là liên tiếp nhau
                        </li>
                        <li>
                          Các giá trị trong cột hơn kém nhau 10
                        </li>
                      </ul>
                    </div>
                </div>
                <form
                  action="#"
                  class="row align-items-center px-2 form-bai-tap"
                >
                  <div class="col-12">
                    <button
                      type="button"
                      name="btn-calc-bai-1"
                      id="btn-calc-bai-1"
                      data-target="bai-1"
                      class="btn rounded-pill btn-calc btn-calc-bai-1 mr-1 mb-1"
                    >
                      Xem Kết quả
                    </button>
                  </div>
                  <div class="alert alert-success result" role="alert">
                    👉
                    <div class="txt-result-bai-1">
                    </div>
                  </div>
                </form>
              </div>
              <div
                class="tab-pane fade bai-tap-2"
                id="v-pills-bai-2"
                role="tabpanel"
                aria-labelledby="v-pills-bai-2-tab"
              >
                <h5 class="card-title">2️⃣ Viết function nhận vào tham số là một mảng số nguyên,tìm và in ra các số nguyên tố trong mảng</h5>
                
                <form
                  action="#"
                  class="row align-items-center px-2 form-bai-tap"
                > 
                  <div class="col-lg-6 form-group">
                    <input
                      type="number"
                      class="form-control form__input inputNumber"
                      name="inputNumber"
                      id="inputNumber"
                      placeholder="Nhập số"
                    />
                  </div>
                  <div class="col-lg-6">
                    <button
                      type="button"
                      name="btn-add"
                      id="btn-add"
                      class="btn rounded-pill btn-add mr-1 mb-1"
                    >
                      Thêm số
                    </button>
                  </div>
                  <div class="alert alert-success input-result" role="alert">
                    👉
                    <span class="txt-result-input"></span>
                  </div>
                  <div class="col-12">
                    <button
                      type="button"
                      name="btn-calc-bai-2"
                      id="btn-calc-bai-2"
                      data-target="bai-2"
                      class="btn rounded-pill btn-calc btn-calc-bai-2 mr-1 mb-1"
                    >
                      Xem kết quả
                    </button>
                  </div>
                  <div class="col-12">
                    <div class="alert alert-success result" role="alert">
                      👉
                      <span class="txt-result-bai-2"></span>
                    </div>
                  </div>
                </form>
              </div>
              <div
                class="tab-pane fade bai-tap-3"
                id="v-pills-bai-3"
                role="tabpanel"
                aria-labelledby="v-pills-bai-3-tab"
              >
                <h5 class="card-title">3️⃣ Viết function nhận vào tham số n, tính S=(2+3+4...+n)+2n</h5>
                <form
                  action="#"
                  class="row align-items-center px-2 form-bai-tap"
                >
                  <div class="col-lg-6 form-group">
                    <input
                      type="number"
                      class="form-control form__input inputNumber"
                      name="inputNumber"
                      id="inputNumber"
                      placeholder="Nhập số"
                    />
                  </div>
                  <div class="col-lg-6">
                    <button
                      type="button"
                      name="btn-add"
                      id="btn-add"
                      class="btn rounded-pill btn-add mr-1 mb-1"
                    >
                      Thêm số
                    </button>
                  </div>
                  <div class="col-12">
                    <div class="alert alert-success input-result" role="alert">
                      👉
                      <span class="txt-result-input"></span>
                    </div>
                  </div>
                  <div class="col-12">
                    <button
                      type="button"
                      name="btn-calc-bai-3"
                      id="btn-calc-bai-3"
                      data-target="bai-3"
                      class="btn rounded-pill btn-calc btn-calc-bai-3 mr-1 mb-1"
                    >
                      Xem kết quả
                    </button>
                  </div>
                  <div class="alert alert-success result" role="alert">
                    👉
                    <span class="txt-result-bai-3"></span>
                  </div>
                </form>
              </div>
              <div
                class="tab-pane fade bai-tap-4"
                id="v-pills-bai-4"
                role="tabpanel"
                aria-labelledby="v-pills-bai-4-tab"
              >
                <h5 class="card-title"> 4️⃣ Viết function nhận vào tham số n, tính số lượng ước số của n</h5>
                <form
                  action="#"
                  class="row align-items-center px-2 form-bai-tap"
                >
                  <div class="col-lg-6 form-group">
                    <input
                      type="number"
                      class="form-control form__input inputNumber"
                      name="inputNumber"
                      id="inputNumber"
                      placeholder="Nhập số"
                    />
                  </div>
                  <div class="col-12">
                    <button
                      type="button"
                      name="btn-calc-bai-4"
                      id="btn-calc-bai-4"
                      data-target="bai-4"
                      class="btn rounded-pill btn-calc btn-calc-bai-4 mr-1 mb-1"
                    >
                      Xem kết quả
                    </button>
                  </div>
                  <div class="alert alert-success result" role="alert">
                    👉
                    <span class="txt-result-bai-4"></span>
                  </div>
                </form>
              </div>
              <div
                class="tab-pane fade bai-tap-5"
                id="v-pills-bai-5"
                role="tabpanel"
                aria-labelledby="v-pills-bai-5-tab"
              >
                <h5 class="card-title"> 5️⃣ Viết chương trình tìm số đảo ngược của 1 số nguyên dương n nhập từ bàn phím</h5>
                <form
                  action="#"
                  class="row align-items-center px-2 form-bai-tap"
                >
                  <div class="col-lg-6 form-group">
                    <input
                      type="number"
                      class="form-control form__input inputNumber"
                      name="inputNumber"
                      id="inputNumber"
                      placeholder="Nhập số"
                    />
                  </div>
                  <div class="col-12">
                    <button
                      type="button"
                      name="btn-calc-bai-5"
                      id="btn-calc-bai-5"
                      data-target="bai-5"
                      class="btn rounded-pill btn-calc btn-calc-bai-5 mr-1 mb-1"
                    >
                      Xem kết quả
                    </button>
                  </div>
                  <div class="alert alert-success result" role="alert">
                    👉
                    <span class="txt-result-bai-5"></span>
                  </div>
                </form>
              </div>
              <div
                class="tab-pane fade bai-tap-6"
                id="v-pills-bai-6"
                role="tabpanel"
                aria-labelledby="v-pills-bai-6-tab"
              >
                <h5 class="card-title">6️⃣ Tìm x nguyên dương lớn nhất, biết 1+2+3+...+x ≤100</h5>
                <form
                  action="#"
                  class="row align-items-center px-2 form-bai-tap"
                >
                  <div class="col-12">
                    <button
                      type="button"
                      name="btn-calc-bai-6"
                      id="btn-calc-bai-6"
                      data-target="bai-6"
                      class="btn rounded-pill btn-calc btn-calc-bai-6 mr-1 mb-1"
                    >
                      Xem kết quả
                    </button>
                  </div>
                  <div class="alert alert-success result" role="alert">
                    👉
                    <div class="txt-result-bai-6"></div>
                  </div>
                </form>
              </div>
              <div
                class="tab-pane fade bai-tap-7"
                id="v-pills-bai-7"
                role="tabpanel"
                aria-labelledby="v-pills-bai-7-tab"
              >
                <h5 class="card-title">7️⃣ Viết function nhận vào số n, in ra bảng cửu chương tương ứng với số đó</h5>
                <form
                  action="#"
                  class="row align-items-center px-2 form-bai-tap"
                >
                  <div class="col-lg-6 form-group">
                    <input
                      type="number"
                      class="form-control form__input inputNumber"
                      name="inputNumber"
                      id="inputNumber"
                      placeholder="Nhập số"
                    />
                  </div>
                  <div class="col-12">
                    <button
                      type="button"
                      name="btn-calc-bai-7"
                      id="btn-calc-bai-7"
                      data-target="bai-7"
                      class="btn rounded-pill btn-calc btn-calc-bai-7 mr-1 mb-1"
                    >
                      Xem kết quả
                    </button>
                  </div>
                  <div class="alert alert-success result" role="alert">
                    👉
                    <div class="txt-result-bai-7"></div>
                  </div>
                </form>
              </div>
              <div
                class="tab-pane fade bai-tap-8"
                id="v-pills-bai-8"
                role="tabpanel"
                aria-labelledby="v-pills-bai-8-tab"
              >
                <h5 class="card-title">8. Viết hàm chia bài cho 4 người chơi</h5>
                <form
                  action="#"
                  class="row align-items-center px-2 form-bai-tap"
                >
                  <div class="col-12">
                    <button
                      type="button"
                      name="btn-calc-bai-8"
                      id="btn-calc-bai-8"
                      data-target="bai-8"
                      class="btn rounded-pill btn-calc btn-calc-bai-8 mr-1 mb-1"
                    >
                      Xem kết quả
                    </button>
                  </div>
                  <div class="alert alert-success result" role="alert">
                    👉
                    <div class="txt-result-bai-8"></div>
                  </div>
                </form>
              </div>
              <div
                class="tab-pane fade bai-tap-9"
                id="v-pills-bai-9"
                role="tabpanel"
                aria-labelledby="v-pills-bai-9-tab"
              >
                <h5 class="card-title">9. Vừa gà vừa chó, bó lại cho tròn, 36 con, 100 chân chẵn</h5>
                <div class="info-box">
                  <details>
                    <summary>Một câu đố dân gian nổi tiếng chắc hẳn tất cả các bạn đều biết. Và bạn có thể cũng đã biết đáp án của câu đố trên là 22 con gà và 14 con chó. Tuy nhiên, thầy giáo của Hiếu lại bắt anh ấy phải giải bài tập tổng quát: "Tìm số gà, số chó khi số tổng số con là m và tổng số chân là n</summary>
                    <div class="px-3">
                      <ul>
                        <li>
                          Viết chương trình nhập vào m là tổng số chó và gà, n là tổng số chân,
                        </li>
                      </ul>
                    </div>
                </div>
                <form
                  action="#"
                  class="row align-items-center px-2 form-bai-tap"
                >
                  <div class="col-lg-6 form-group">
                    <input
                      type="number"
                      class="form-control form__input inputNumberM"
                      name="inputNumber"
                      id="inputNumber"
                      placeholder="Nhập số con"
                    />
                  </div>
                  <div class="col-lg-6 form-group">
                    <input
                      type="number"
                      class="form-control form__input inputNumberN"
                      name="inputNumber"
                      id="inputNumber"
                      placeholder="Nhập số chân"
                    />
                  </div>
                  <div class="col-12">
                    <button
                      type="button"
                      name="btn-calc-bai-9"
                      id="btn-calc-bai-9"
                      data-target="bai-9"
                      class="btn rounded-pill btn-calc btn-calc-bai-9 mr-1 mb-1"
                    >
                      Xem kết quả
                    </button>
                  </div>
                  <div class="alert alert-success result" role="alert">
                    👉
                    <div class="txt-result-bai-9"></div>
                  </div>
                </form>
              </div>
              <div
                class="tab-pane fade bai-tap-10"
                id="v-pills-bai-10"
                role="tabpanel"
                aria-labelledby="v-pills-bai-10-tab"
              >
                <h5 class="card-title">10. Nhập vào số giờ và số phút => góc lệch giữa kim giờ và kim phút.</h5>
                <form
                  action="#"
                  class="row align-items-center px-2 form-bai-tap"
                >
                  <div class="col-lg-6 form-group">
                    <input
                      type="number"
                      class="form-control form__input inputNumberH"
                      name="inputNumber"
                      id="inputNumber"
                      placeholder="Nhập số giờ"
                    />
                  </div>
                  <div class="col-lg-6 form-group">
                    <input
                      type="number"
                      class="form-control form__input inputNumberM"
                      name="inputNumber"
                      id="inputNumber"
                      placeholder="Nhập số phút"
                    />
                  </div>
                  <div class="col-12">
                    <button
                      type="button"
                      name="btn-calc-bai-10"
                      id="btn-calc-bai-10"
                      data-target="bai-10"
                      class="btn rounded-pill btn-calc btn-calc-bai-10 mr-1 mb-1"
                    >
                      Xem kết quả
                    </button>
                  </div>
                  <div class="alert alert-success result" role="alert">
                    👉
                    <div class="txt-result-bai-10"></div>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script
      src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
      integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
      integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
      integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
      crossorigin="anonymous"
    ></script>
    <script src="./assets/js/index.js"></script>
  </body>
</html>
